Do you have an existing API (public, private or partner)?

Does your API support OAuth 2.0?